import { PAGLayer } from './pag-layer';
import type { Color } from './types';
export declare class PAGSolidLayer extends PAGLayer {
    /**
     * Make a empty PAGSolidLayer with specified size.
     */
    static make(duration: number, width: number, height: number, solidColor: Color, opacity: number): PAGSolidLayer;
    /**
     * Returns the layer's solid color.
     */
    solidColor(): Color;
    /**
     * Set the the layer's solid color.
     */
    setSolidColor(color: Color): void;
}
